function h=conn_timedwaitbar(a,b);
% CONN_TIMEDWAITBAR
% 
% See also WAITBAR
%

persistent t0
if isstr(b),
   t0=clock;
   h=waitbar(a,b);
   set(h,'color',2/6+[0,0,2/6]);drawnow; 
else
   t1=etime(clock,t0); t1=t1.*(1-a)./a;
   t1h=floor(t1/60/60);
   t1m=floor((t1-t1h*60*60)/60);
   t1s=floor((t1-t1h*60*60-t1m*60));
   waitbar(a,b);
   set(b,'name', ...
      ['Time left ',num2str(t1h,'%02d'),':',num2str(t1m,'%02d'),':',num2str(t1s,'%02d')]);
  h=b;
end
%close(hw);
