function conn_write_combine(Yin,Yout);

out_handle=fopen([Yout.fname,'c'],'wb');
for n1=1:length(Yin),
    in_handle(n1)=fopen([Yin(n1).fname,'c'],'r+b');
end

blocksize=ceil(1e6/length(Yin));
count=zeros(1,length(Yin))+blocksize;
while all(count==blocksize),
    for n1=1:length(Yin),
        [y{n1},count(n1)]=fread(in_handle(n1),blocksize,'float');
        y{n1}=y{n1}';
    end
    z=cat(1,y{:});
    fwrite(out_handle,z(:),'float');
end
for n1=1:length(Yin), fclose(in_handle(n1)); end
fclose(out_handle);
