function [V]=conn_init_vol(V,voxels);

if nargin>1,
    nslice=1+floor(voxels/prod(V.matdim.dim(1:2)));
    V.size.Nv=hist(nslice,1:V.matdim.dim(3));
    V.voxels=voxels(:);
    V.voxelsinv=zeros(V.matdim.dim(1:3));
    V.voxelsinv(V.voxels)=reshape(1:length(V.voxels),size(V.voxels));
end
filename=V.fname;
handle=fopen([V.fname,'c'],'wb');
fwrite(handle,[0],'float',4*(sum(V.size.Nv)*V.size.Nt-1)); 
fclose(handle);
V.scale=1;
V.GM=[];
V.gm=[];
if str2num(version('-release'))>=14, save(filename,'-V6','V');
else, save(filename,'V'); end
